Create Component Source Version
Path Parameters
slug*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
files*
projectId?string|null
title?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/components/string/versions" \ -H "Content-Type: application/json" \ -d '{ "files": { "property1": "string", "property2": "string" } }'{ "builtAt": "string", "byteSize": 0, "componentId": "string", "contentHash": "string", "panelHash": "string", "createdAt": "string", "createdBy": "string", "manifest": null, "slug": "string", "sourceKind": "wasm", "status": "queued", "version": 0, "versionId": "string", "deprecatedAt": "string", "warnings": [ "conformance-not-run" ], "conformance": { "hasPassed": true, "checks": [ { "name": "string", "status": "pass", "errors": [ "string" ], "warnings": [ "string" ] } ] }}{ "_tag": "Api/SdkValidationError", "message": "string"}{ "_tag": "Api/AuthenticationError", "cause": "string", "message": "string"}{ "_tag": "Api/ActionForbiddenError", "message": "string"}{ "_tag": "Api/ComponentInvalidError", "message": "string", "problems": [ "string" ]}{ "_tag": "Api/ComponentServiceError", "message": "string"}